﻿using System;
using System.Collections.Generic;
using System.Drawing;
using Clash_Library;

namespace Clash_Server
{
    class Functions
    {
        public static Point Move(Point P, Direction D, int A)
        {
            switch (D)
            {
                case Direction.Up:
                    P.Offset(0, -A);
                    break;
                case Direction.Up_Right:
                    P.Offset(A, -A);
                    break;
                case Direction.Right:
                    P.Offset(A, 0);
                    break;
                case Direction.Down_Right:
                    P.Offset(A, A);
                    break;
                case Direction.Down:
                    P.Offset(0, A);
                    break;
                case Direction.Down_Left:
                    P.Offset(-A, A);
                    break;
                case Direction.Left:
                    P.Offset(-A, 0);
                    break;
                case Direction.Up_Left:
                    P.Offset(-A, -A);
                    break;
            }
            return P;
        }
        public static bool InRange(Point A, Point B, int Dist)
        {
            int X = Math.Abs(A.X - B.X);
            int Y = Math.Abs(A.Y - B.Y);
            if (Y <= Dist && X <= Dist)
            {
            }
            return Y <= Dist && X <= Dist;
        }
        public static Direction GetDirection(Point Old, Point New)
        {
            Direction TempD = Direction.Up;

            if (New.X < Old.X) // Left
            {
                TempD = Direction.Left;
                if (New.Y < Old.Y) // Up
                    TempD = Direction.Up_Left;
                else
                    if (New.Y > Old.Y)
                        TempD = Direction.Down_Left;
            }
            else if (New.X > Old.X) //Right
            {
                TempD = Direction.Right;
                if (New.Y < Old.Y) // Up
                    TempD = Direction.Up_Right;
                else
                    if (New.Y > Old.Y)
                        TempD = Direction.Down_Right;
            }
            else
            {
                if (New.Y < Old.Y)
                    TempD = Direction.Up;
                else
                    if (New.Y > Old.Y)
                        TempD = Direction.Down;
            }
            return TempD;
        }
    }
}
