﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace LevelMaker
{
    public partial class Navigate : Form
    {
        public Navigate()
        {
            InitializeComponent();
            UpdateI();
        }

        private void Previous_Click(object sender, EventArgs e)
        {
            if (Main.CurrentLevel.CurrentScreen > 1)
                Main.CurrentLevel.CurrentScreen--;
            UpdateI();
        }

        private void Next_Click(object sender, EventArgs e)
        {
            if (Main.CurrentLevel.CurrentScreen < Main.CurrentLevel.ScreenCount)
                Main.CurrentLevel.CurrentScreen++;
            UpdateI();
        }

        private void Navigate_FormClosing(object sender, FormClosingEventArgs e)
        {

            if (Visible)
            {
                Visible = false;
                e.Cancel = true;
            }
        }
        public void UpdateI()
        {
            if (Main.CurrentLevel == null)
            {
                CurrentScreen.Text = "No Map Opened";
                Next.Enabled = false;
                Previous.Enabled = false;
                return;
            }
            
            Next.Enabled = true;
            Previous.Enabled = true;
            CurrentScreen.Text = Main.CurrentLevel.CurrentScreen.ToString();
        }
    }
}
