﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            using (System.IO.FileStream FStream = new System.IO.FileStream(@"D:\Old.CL", System.IO.FileMode.Open))
                Work((Library.ServerData)new System.Runtime.Serialization.Formatters.Binary.BinaryFormatter().Deserialize(FStream));
        }
        
        public void Work(Library.ServerData Old)
        {
            Clash_Library.ServerData New = new Clash_Library.ServerData();
            Clash_Library.ItemInfo NI;
            Clash_Library.MonsterInfo NMI;
            Clash_Library.MapInfo NMap;

            #region Items
            for (int I = 0; I < Old.ItemList.Count; I++)
            {
                Library.ItemInfo II = Old.ItemList[I];
                NI = new Clash_Library.ItemInfo();
                NI.BagWeight = II.BagWeight;
                NI.BodyImage = II.BodyImage;
                NI.BodyWeight = II.BodyWeight;
                NI.DefaultRefineCount = II.DefaultRefineCount;
                NI.Durability = II.Durability;
                NI.ExistCount = II.ExistCount;
                NI.ExpList = II.ExpList;
                NI.Effect = (Clash_Library.SpecialEffect)(int)II.Effect;
                NI.FloorImage = II.FloorImage;
                NI.HandWeight = II.HandWeight;
                NI.Image = II.Image;
                NI.Index = II.Index;
                NI.MaxLevel = II.MaxLevel;
                NI.Name = II.Name;
                NI.Price = II.Price;
                NI.Rarity = (Clash_Library.Rarity)(int)II.Rarity;
                NI.ReqAmount = II.ReqAmount;
                NI.ReqType = (Clash_Library.Requirement)(int)II.ReqType;
                NI.RequiredClass = (Clash_Library.ReqClass)(int)II.RequiredClass;
                NI.RequiredGender = (Clash_Library.ReqGender)(int)II.RequiredGender;
                NI.Restrictions.CanBreak = II.Restrictions.CanBreak;
                NI.Restrictions.CanDDrop = II.Restrictions.CanDDrop;
                NI.Restrictions.CanDrop = II.Restrictions.CanDrop;
                NI.Restrictions.CanGem = II.Restrictions.CanGem;
                NI.Restrictions.CanOrb = II.Restrictions.CanOrb;
                NI.Restrictions.CanRepair = II.Restrictions.CanRepair;
                NI.Restrictions.CanSell = II.Restrictions.CanSell;
                NI.Restrictions.CanSRepair = II.Restrictions.CanSRepair;
                NI.Restrictions.CanStack = II.Restrictions.CanStack;
                NI.Restrictions.CanStore = II.Restrictions.CanStore;
                NI.Restrictions.CanTrade = II.Restrictions.CanTrade;
                NI.Restrictions.Stuck = II.Restrictions.Stuck;

                NI.Shape = II.Shape;
                NI.Stats.Advanced.ASpeed = II.Stats.Advanced.ASpeed;
                NI.Stats.Advanced.CA = II.Stats.Advanced.CA;
                NI.Stats.Advanced.CR = II.Stats.Advanced.CR;
                NI.Stats.Advanced.Light = II.Stats.Advanced.Light;
                NI.Stats.Advanced.Luck = II.Stats.Advanced.Luck;
                NI.Stats.Advanced.MR = II.Stats.Advanced.MR;
                NI.Stats.Advanced.PA = II.Stats.Advanced.PA;
                NI.Stats.Advanced.PR = II.Stats.Advanced.PR;

                NI.Stats.Basic.HP = II.Stats.Basic.HP;
                NI.Stats.Basic.MP = II.Stats.Basic.MP;
                NI.Stats.Basic.AC = II.Stats.Basic.AC;
                NI.Stats.Basic.AC2 = II.Stats.Basic.AC2;
                NI.Stats.Basic.MAC = II.Stats.Basic.MAC;
                NI.Stats.Basic.MAC2 = II.Stats.Basic.MAC2;
                NI.Stats.Basic.DC = II.Stats.Basic.DC;
                NI.Stats.Basic.DC2 = II.Stats.Basic.DC2;
                NI.Stats.Basic.MC = II.Stats.Basic.MC;
                NI.Stats.Basic.MC2 = II.Stats.Basic.MC2;
                NI.Stats.Basic.SC = II.Stats.Basic.SC;
                NI.Stats.Basic.SC2 = II.Stats.Basic.SC2;

                NI.Stats.Basic.Accuracy = II.Stats.Basic.Accuracy;
                NI.Stats.Basic.Agility = II.Stats.Basic.Agility;

                NI.Stats.Elemental.DarkA = II.Stats.Elemental.DarkA;
                NI.Stats.Elemental.DarkD = II.Stats.Elemental.DarkD;
                NI.Stats.Elemental.FireA = II.Stats.Elemental.FireA;
                NI.Stats.Elemental.FireD = II.Stats.Elemental.FireD;
                NI.Stats.Elemental.HolyA = II.Stats.Elemental.HolyA;
                NI.Stats.Elemental.HolyD = II.Stats.Elemental.HolyD;
                NI.Stats.Elemental.IceA = II.Stats.Elemental.IceA;
                NI.Stats.Elemental.IceD = II.Stats.Elemental.IceD;
                NI.Stats.Elemental.IllusionA = II.Stats.Elemental.IllusionA;
                NI.Stats.Elemental.IllusionD = II.Stats.Elemental.IllusionD;
                NI.Stats.Elemental.LightningA = II.Stats.Elemental.LightningA;
                NI.Stats.Elemental.LightningD = II.Stats.Elemental.LightningD;
                NI.Stats.Elemental.WindA = II.Stats.Elemental.WindA;
                NI.Stats.Elemental.WindD = II.Stats.Elemental.WindD;

                NI.Type = (Clash_Library.ItemType)(int)II.Type;
                NI.Weight = II.Weight;
                New.ItemList.Add(NI);
            }
            #endregion
            #region Monsters

            for (int I = 0; I < Old.MonsterList.Count; I++)
            {
                Library.MonsterInfo MI = Old.MonsterList[I];
                NMI = new Clash_Library.MonsterInfo();

                NMI.AttackSpeed = MI.AttackSpeed;

                NMI.Behaviour.CanMove = MI.Behaviour.CanMove;
                NMI.Behaviour.CoolEye = MI.Behaviour.CoolEye;
                NMI.Experience = MI.Experience;
                NMI.Gold = MI.Gold;
                NMI.GoldRate = MI.GoldRate;
                NMI.Image = MI.Image;
                NMI.Index = MI.Index;
                NMI.Level = MI.Level;
                NMI.MoveSpeed = MI.MoveSpeed;
                NMI.Name = MI.Name;
                NMI.NameColour = MI.NameColour;
                NMI.SpellImage = MI.SpellImage;

                NMI.Stats.Advanced.ASpeed = MI.Stats.Advanced.ASpeed;
                NMI.Stats.Advanced.CA = MI.Stats.Advanced.CA;
                NMI.Stats.Advanced.CR = MI.Stats.Advanced.CR;
                NMI.Stats.Advanced.Light = MI.Stats.Advanced.Light;
                NMI.Stats.Advanced.Luck = MI.Stats.Advanced.Luck;
                NMI.Stats.Advanced.MR = MI.Stats.Advanced.MR;
                NMI.Stats.Advanced.PA = MI.Stats.Advanced.PA;
                NMI.Stats.Advanced.PR = MI.Stats.Advanced.PR;

                NMI.Stats.Basic.HP = MI.Stats.Basic.HP;
                NMI.Stats.Basic.MP = MI.Stats.Basic.MP;
                NMI.Stats.Basic.AC = MI.Stats.Basic.AC;
                NMI.Stats.Basic.AC2 = MI.Stats.Basic.AC2;
                NMI.Stats.Basic.MAC = MI.Stats.Basic.MAC;
                NMI.Stats.Basic.MAC2 = MI.Stats.Basic.MAC2;
                NMI.Stats.Basic.DC = MI.Stats.Basic.DC;
                NMI.Stats.Basic.DC2 = MI.Stats.Basic.DC2;
                NMI.Stats.Basic.MC = MI.Stats.Basic.MC;
                NMI.Stats.Basic.MC2 = MI.Stats.Basic.MC2;
                NMI.Stats.Basic.SC = MI.Stats.Basic.SC;
                NMI.Stats.Basic.SC2 = MI.Stats.Basic.SC2;

                NMI.Stats.Basic.Accuracy = MI.Stats.Basic.Accuracy;
                NMI.Stats.Basic.Agility = MI.Stats.Basic.Agility;

                NMI.Stats.Elemental.DarkA = MI.Stats.Elemental.DarkA;
                NMI.Stats.Elemental.DarkD = MI.Stats.Elemental.DarkD;
                NMI.Stats.Elemental.FireA = MI.Stats.Elemental.FireA;
                NMI.Stats.Elemental.FireD = MI.Stats.Elemental.FireD;
                NMI.Stats.Elemental.HolyA = MI.Stats.Elemental.HolyA;
                NMI.Stats.Elemental.HolyD = MI.Stats.Elemental.HolyD;
                NMI.Stats.Elemental.IceA = MI.Stats.Elemental.IceA;
                NMI.Stats.Elemental.IceD = MI.Stats.Elemental.IceD;
                NMI.Stats.Elemental.IllusionA = MI.Stats.Elemental.IllusionA;
                NMI.Stats.Elemental.IllusionD = MI.Stats.Elemental.IllusionD;
                NMI.Stats.Elemental.LightningA = MI.Stats.Elemental.LightningA;
                NMI.Stats.Elemental.LightningD = MI.Stats.Elemental.LightningD;
                NMI.Stats.Elemental.WindA = MI.Stats.Elemental.WindA;
                NMI.Stats.Elemental.WindD = MI.Stats.Elemental.WindD;
                New.MonsterList.Add(NMI);
            }

            #endregion
            #region Map

            for (int I = 0; I < Old.MapList.Count; I++)
            {
                Library.MapInfo MI = Old.MapList[I];
                NMap = new Clash_Library.MapInfo();

                NMap.FileName = MI.FileName;
                NMap.Flags = (Clash_Library.MapFlags)(int)MI.Flags;
                NMap.Index = MI.Index;
                NMap.MapDescription = MI.MapDescription;
                NMap.MapType = (Clash_Library.MapType)(int)MI.MapType;
                
                for (int X = 0; X < MI.RespawnList.Count; X++)
                {
                    Clash_Library.RespawnInfo RespawnI = new Clash_Library.RespawnInfo();
                    RespawnI.Amount = MI.RespawnList[X].Amount;
                    RespawnI.DistortionTime = MI.RespawnList[X].DistortionTime;
                    RespawnI.Location = MI.RespawnList[X].Location;
                    RespawnI.RespawnTime = MI.RespawnList[X].RespawnTime;
                    RespawnI.Spread = MI.RespawnList[X].Spread;

                    for (int Z = 0; Z < New.MonsterList.Count; Z++)
                        if (New.MonsterList[Z].Index == MI.RespawnList[X].Monster.Index)
                        {
                            RespawnI.Monster = New.MonsterList[Z];
                            break;
                        }


                    NMap.RespawnList.Add(RespawnI);
                }
                New.MapList.Add(NMap);
            }
            for (int I = 0; I < Old.MapList.Count; I++)
            {
                Library.MapInfo MI = Old.MapList[I];

                for (int X = 0; X < MI.MoveList.Count; X++)
                {
                    Clash_Library.MovementInfo MoveI = new Clash_Library.MovementInfo();
                    MoveI.DestinationPoint = MI.MoveList[X].DestinationPoint;
                    MoveI.SourcePoint = MI.MoveList[X].SourcePoint;
                    for (int Z = 0; Z < New.MapList.Count; Z++)
                        if (New.MapList[Z].Index == MI.MoveList[X].DestMapInfo.Index)
                        {
                            MoveI.DestMapInfo = New.MapList[Z];
                            break;
                        }
                    New.MapList[I].MoveList.Add(MoveI);
                }
            }




            #endregion

            using (System.IO.FileStream FStream = new System.IO.FileStream(@"D:\Data.CL", System.IO.FileMode.Create))
                new System.Runtime.Serialization.Formatters.Binary.BinaryFormatter().Serialize(FStream, New);
        }
    }
}
